summaryrefslogtreecommitdiffstats
path: root/source/a/rpm2tgz/rpm2tgz.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/rpm2tgz/rpm2tgz.SlackBuild')
-rwxr-xr-xsource/a/rpm2tgz/rpm2tgz.SlackBuild11
1 files changed, 9 insertions, 2 deletions
diff --git a/source/a/rpm2tgz/rpm2tgz.SlackBuild b/source/a/rpm2tgz/rpm2tgz.SlackBuild
index c6d766093..c32e490cd 100755
--- a/source/a/rpm2tgz/rpm2tgz.SlackBuild
+++ b/source/a/rpm2tgz/rpm2tgz.SlackBuild
@@ -20,7 +20,7 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.2.1
+VERSION=1.2.2
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -61,11 +61,18 @@ cat $CWD/rpm2targz > $PKG/usr/bin/rpm2targz
# Not applied. Rationale: .tgz works with all versions of Slackware.
# Translated RPMs may be targeting systems with no .txz support.
#zcat $CWD/patches/0006-should-we-use-.txz-format-in-slackware-current.patch.gz | patch -p1 || exit 1
- # mv the script back:
+ # OK, I will take this version of the patch, as it doesn't change the
+ # default behaviour of rpm2tgz.
+ # mv the script back (wow, this is rather random ;-)
mv rpm2tgz rpm2targz
+ zcat $CWD/patches/0007-Add-support-for-.txz-packages-and-rpm2txz-symlink.patch.gz | patch -p1 || exit 1
+ zcat $CWD/patches/0008-Avoid-none-values-in-slack-desc.patch.gz | patch -p1 || exit 1
+ zcat $CWD/patches/0009-Add-c-option-just-as-makepkg-c-y.patch.gz | patch -p1 || exit 1
) || exit 1
( cd $PKG/usr/bin ; ln -sf rpm2targz rpm2tgz )
+( cd $PKG/usr/bin ; ln -sf rpm2targz rpm2txz )
+
chmod 755 $PKG/usr/bin/{rpmoffset,rpm2targz}
mkdir -p $PKG/usr/doc/rpm2targz
cp -a $CWD/rpm2targz.README $PKG/usr/doc/rpm2targz/rpm2targz.README